/* @description: 分包追加邀请函信息查看-公共方法
@Modifier: haoFx
@routerPath:
@date: 2020/3/8-15:37*/

/* 公用方法*/
import { cloneObject } from '@/assets/js/utils'// 常用方法
/* api*/
import { queryInvitationSupplierList, listInvitationSupplierRoster } from '@/api/bidding/bidInvitation'
export const packageAppendSupplierInvitation = {
  data() {
    return {
      flowStatus: this.$route.query.flowStatus, // true 工作流进入驳回编辑
      invitationId: '', // 邀请函Id
      packageList: [], // 追加供应商标段列表
      selectedBidder: [], // 已选投标人标段查看列表
      // 查看标段已选供应商
      selectSupplierListData: {
        isShowRemoveBtn: true, // 是否显示移除按钮
        dialog: false, // // 弹框展示状态
        packIndex: '', // 标段索引,
        suppliersList: []// 物料列表
      }
    }
  },
  created() {
    // flowStatus为true 工作流进入 否则是驱动进入
    this.invitationId = this.flowStatus ? this.$route.query.bizId : this.$route.query.invitationId
    // 加载数据
    this.loadData()
  },
  methods: {
    // 邀请函已制作的标段（包）
    loadData() {
      listInvitationSupplierRoster(this.invitationId).then(res => {
        const { data } = res
        this.selectedBidder = cloneObject(res.data)
        // 组装数组
        data.map((item, index) => {
          item.suppliersList = []
          this.packageList.push(item) // 包信息
          this.getInvitationSupplierList(index)
        })
      })
    },
    // 获取已选择投标人信息列表
    getInvitationSupplierList(index) {
      const data = {
        invitationId: this.invitationId,
        stageId: this.selectedBidder[index].stageId
      }
      queryInvitationSupplierList(data).then(res => {
        this.selectedBidder[index].suppliersList = res.data // 标段对应供应商列表
      }).catch(() => {

      })
    }
  }
}
